This is the mail archive of the cygwin mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: gem broken ?

On 27/06/2016 18:18, Brian Clifton wrote:

On Jun 27 15:53, Marco Atzeri wrote:
On 27/06/2016 15:19, Marco Atzeri wrote:
on both 32bit and 64 bit (W7 X86_64)

$ cygcheck -c rubygems
Cygwin Package Information
Package              Version        Status
rubygems             2.4.8-1        OK

$  gem list
ERROR:  Loading command: list (Fiddle::DLError)
        can't load kernel32
ERROR:  While executing gem ... (NoMethodError)
    undefined method `invoke_with_build_args' for nil:NilClass

First reported on


it seems a consequence of cygwin 2.5.2

Commit 8a31aa3 introduces the problem.  The patch disallows to dlopen
libs without specifying the file extension.  This was originally intended
by commit df958670 but only worked for paths, not simple filenames.

AFAICS this is a more a ruby problem than a Cygwin problem.  It tries to
dlopen a DLL called "kernel32".  But dlopen is POSIX, so it should not
assume that an extension is added automatically, just as this isn't done
on Linux.

Hmm, I'm undecided if this should be fixed in ruby or if we need a
Cygwin 2.5.3 reverting this patch...


I ran into this too on Saturday night- I ended up opening the Fiddle file in question and putting the full path (including the extension) to fix the issue. Wish I would have tried with just the extension

The weird thing is- after upgrading, I tried reverting ruby and ruby-gems to older versions but had no luck. Corinna, where did a change occur that caused this to happen? You mention dlopen, which package is this a part of?


revert cygwin from 2.5.2 to 2.5.1, dlopen is a system call provided
by cygwin1.dll

Problem reports:
Unsubscribe info:

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]